--- title: "Delete Rate Limiting Profile" slug: "delete-rate-limiting-profile-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/delete-rate-limiting-profile-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Rate Limiting Profile This URL deletes the specified rate limiting profile. ### Resource URL DELETE /ratelimitingprofile/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `profile_id` | Profile id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `Status` | Status returned by deletion | Number | ### Example **Request** DELETE [https:///sdkapi/ratelimitingprofile/1001](https://<NSM_IP>/sdkapi/ratelimitingprofile/1001) **Response** ``` { "status":1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 404 | 2403 | Invalid rate limiting profile id / profile not visible in this domain | | 3 | 400 | 2410 | Profile in use cannot be deleted. Remove current assignments for the profile before deleting |